Subject: Re: [Idr] RFC5065 - Section 5.3

From: Curtis Villamizar <[email-masked]>
Date: Fri, 03 Jul 2009 14:30:49 -0400

In message <[email-masked]>
David Freedman writes:
>  
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1

No one uses PGP anymore?  :-)  Oops wrong thread.

> Admittedly I'm a little late for this now that draft-ietf-idr-rfc3065bis
> is now an RFC, but I'm unclear as to why Section 5.3 (3) states:
>  
> 3) When comparing routes using AS_PATH length, CONFED_SEQUENCE and
>       CONFED_SETs SHOULD NOT be counted.
>  
> I would rather have said:
>  
> When comparing routes using AS_PATH length, an implementation MAY
> provide the ability to count CONFED_SEQUENCE and CONFED_SET.
>  
>  
> Looking back through the archives, I see Ilya Varlashkin has commented
> on this previously :
>  
> (http://www.nabble.com/BGP-best-path-selection-in-confederations-(draft-ietf-idr-rfc3065bis-06.txt)-td11081109.html#a11081109)
>  
>  
> I too run a network where each subconfederation has a discrete IGP and I
> do not wish them to interact, an implementation which provides the
> ability to count CONFED_SEQUENCE / CONFED_SET and use this for route
> comparison would be extremely useful, I do not understand why the
> author(s) have used "SHOULD NOT" in this case, it seems silly.
>  
> Can somebody explain?
>  
> Regards,
>  
> David Freedman

David,

MAY implies that it makes little difference so do it either way.
SHOULD NOT does not prohibit entirely just indicates which way the
knob default should be set and implies that anyone tweaking this knob
should know what they are doing.  MUST NOT would prohibit the knob (in
theory).  Seems to me that SHOULD NOT was the right pick.

Curtis

---

From: "David Freedman" <[email-masked]>
Date: Sat, 4 Jul 2009 00:28:00 +0100

>theory).  Seems to me that SHOULD NOT was the right pick.

Agree that "MAY" opens you up for interop issues if vendors pick different defaults,
but I don't believe this behaviour was standardised prior to RFC5065 was it?

Since you are not supposed to propagate the confed information to neighbours outside
your confederation, this is hardly a harmful thing to have actually made the default 
(subconfed counting), no?, perhaps we should have said "SHOULD", it would have been 
far more useful to have done so. 

Dave.